#!/bin/sh
#
# obtains a screen print, seems xwd work best
#         needs ImageMagick -- http://www.imagemagick.org/
#

fn=~/screen`date "+%Y%m%d-%H%M%S"`
ofile=$fn.xwd
jfile=$fn.jpg

type xwd > /dev/null 2>&1
if test "$?" -eq "0"
then
    xwd -frame -out $ofile
    type convert > /dev/null 2>&1
    if test "$?" -eq "0"
    then
	convert $ofile $jfile
	rm -f $ofile
    else
	xmessage -timeout 3 "W02: convert missing, cannot convert $ofile" &
    fi
else
    xmessage -timeout 5 "E01: xwd missing, cannot print screen" &
fi

exit 0

# instead of the above this may work:
#    import $jfile
# but in some cases it fails

